<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <View
        android:id="@+id/vBg"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/app_bg_search_order_card"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tvSerialNoTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="40dp"
        android:layout_marginTop="24dp"
        android:textColor="@color/color_333333"
        android:textSize="26sp"
        app:layout_constraintStart_toStartOf="@id/vBg"
        app:layout_constraintTop_toTopOf="@id/vBg"
        app:layout_goneMarginStart="24dp"
        tools:text="流水号" />

    <TextView
        android:id="@+id/tvOrderNoTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="40dp"
        android:layout_marginTop="24dp"
        android:textColor="@color/color_333333"
        android:textSize="26sp"
        app:layout_constraintStart_toStartOf="@id/vBg"
        app:layout_constraintTop_toBottomOf="@id/tvSerialNoTitle"
        app:layout_goneMarginStart="24dp"
        tools:text="订单号" />

    <TextView
        android:id="@+id/tvDateTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="40dp"
        android:layout_marginTop="24dp"
        android:textColor="@color/color_333333"
        android:textSize="26sp"
        app:layout_constraintStart_toStartOf="@id/vBg"
        app:layout_constraintTop_toBottomOf="@id/tvOrderNoTitle"
        app:layout_goneMarginStart="24dp"
        tools:text="下单时间" />

    <TextView
        android:id="@+id/tvPriceTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="40dp"
        android:layout_marginTop="24dp"
        android:layout_marginBottom="24dp"
        android:textColor="@color/color_333333"
        android:textSize="26sp"
        app:layout_constraintBottom_toBottomOf="@id/vBg"
        app:layout_constraintStart_toStartOf="@id/vBg"
        app:layout_constraintTop_toBottomOf="@id/tvDateTitle"
        app:layout_goneMarginStart="24dp"
        tools:text="订单金额" />


    <TextView
        android:id="@+id/tvSerialNo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="24dp"
        android:textColor="@color/color_999999"
        android:textSize="26sp"
        app:layout_constraintBaseline_toBaselineOf="@id/tvSerialNoTitle"
        app:layout_constraintEnd_toEndOf="@id/vBg"
        tools:text="流水号1" />


    <TextView
        android:id="@+id/tvOrderNo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="24dp"
        android:textColor="@color/color_999999"
        android:textSize="26sp"
        app:layout_constraintBaseline_toBaselineOf="@id/tvOrderNoTitle"
        app:layout_constraintEnd_toEndOf="@id/vBg"
        tools:text="流水号1" />

    <TextView
        android:id="@+id/tvDate"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="24dp"
        android:layout_marginBottom="26dp"
        android:textColor="@color/color_999999"
        android:textSize="24sp"
        app:layout_constraintBaseline_toBaselineOf="@id/tvDateTitle"
        app:layout_constraintEnd_toEndOf="@id/vBg"
        tools:text="2022-02-28 13:51:00" />

    <TextView
        android:id="@+id/tvPrice"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="40dp"
        android:textColor="@color/color_333333"
        android:textSize="30sp"
        app:layout_constraintBaseline_toBaselineOf="@id/tvPriceTitle"
        app:layout_constraintEnd_toEndOf="@id/vBg"
        app:layout_goneMarginEnd="24dp"
        tools:text="¥200.99" />

    <View
        android:id="@+id/vPrinter"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/app_bg_search_order_printer"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tvPrinter"
        android:layout_width="120dp"
        android:layout_height="120dp"
        app:layout_constraintTop_toTopOf="@id/vPrinter"
        app:layout_constraintBottom_toBottomOf="@id/vPrinter"
        app:layout_constraintStart_toStartOf="@id/vPrinter"
        app:layout_constraintEnd_toEndOf="@id/vPrinter"
        android:text="打印"
        android:textStyle="bold"
        android:gravity="center"
        android:textColor="@color/colorPrimary"
        android:textSize="28sp"
        android:background="@drawable/app_bg_search_order_printer_btn" />

    <androidx.constraintlayout.widget.Group
        android:id="@+id/groupPrinter"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:constraint_referenced_ids="tvPrinter,vPrinter"/>

</androidx.constraintlayout.widget.ConstraintLayout>